Package edu.msu.cme.rdp.classifier.train.validation

# Class StatusCountUtils

java.lang.Object
edu.msu.cme.rdp.classifier.train.validation.StatusCountUtils

public class StatusCountUtils extends Object

## Constructor Summary

Constructors
Constructor
Description
`StatusCountUtils()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`calAUC(String label, ArrayList<HashMap<String,StatusCount>> statusCountList)`
calculate Area under curve sensitivity = #TP / (#TP + #FN) specificity = #TN / (#TN + #FP)
`static String`
`calROCMatrix(String label, ArrayList<HashMap<String,StatusCount>> statusCountList)`
return the ROC matrix, for each rank, each bootstrap value sensitivity = #TP / (#TP + #FN) specificity = #TN / (#TN + #FP)

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StatusCountUtils

public StatusCountUtils()

## Method Details

### calROCMatrix

public static String calROCMatrix(String label, ArrayList<HashMap<String,StatusCount>> statusCountList)
return the ROC matrix, for each rank, each bootstrap value sensitivity = #TP / (#TP + #FN) specificity = #TN / (#TN + #FP)

Parameters:
  `statusCountList` -

### calAUC

public static String calAUC(String label, ArrayList<HashMap<String,StatusCount>> statusCountList)
calculate Area under curve sensitivity = #TP / (#TP + #FN) specificity = #TN / (#TN + #FP)

Parameters:
  `statusCountList` -